maven-repository:
  stage: test
  image: maven:3.6.3-jdk-8-slim
  script:
    - cd maven-repository
    - mvn -s ./ci_settings.xml  deploy

maven-deploy:
  stage: deploy
  image: maven:3.6.3-jdk-8-slim
  script:
    - if [ "x${GROUP_ID_FOR_CI}" = "x" ]; then echo "Please set variable GROUP_ID_FOR_CI populated with the parent group ID" && /bin/false ; fi
    - cd maven-repository/deploy
    - mvn -s ../ci_settings.xml install 2>&1 | tee -a maven.out | grep -A10 -B10 $CI_SERVER_HOST
    - echo "^^^^^ EXTRACT OF OUTPUT"
    - echo "See maven.out artifact for all output"
  artifacts:
    paths:
      - maven-repository/deploy/maven.out
  needs: [ "maven-repository" ]
